#!/usr/bin/python

#	Hauptprogramm fuer den
#	Fahrscheinautomaten	BICS, Bombei, 26.11.01

#	Datei: fsa_main00.py
#       - Zum Verteilen und Bearbeiten -

import Tkinter

from fsa_model00 import *

from fsa_gui00 import *

       		
class Automat:
    def __init__(self):

	meinKassierer   = Kassierer()   # aus dem Fachkonzept (MODEL)

	# ... hier geht das "VIEW" los:
     	meinFenster = Tkinter.Tk()
    	meinFenster.title ("Automaten-Simulation")
    	meinFenster.geometry ("+100+100")
    	meinFenster.minsize("450","320")
#    	meinFenster.geometry ("460x300+100+100")  # ... als Alternative

        # alles GUI-Objekte ...
	meinDisplay = DisplayBereich(meinFenster,meinKassierer)
	meinDisplay.anzeigen("Fahrscheinautomat")
	meinDisplay.aktualisieren("hallo")

        meineGeldRueckgabe  = RueckgabeBereich(meinFenster,meinKassierer)
	meineGeldRueckgabe.anzeigen_Ausgabe("Geld-Rckgabe")

	meineTarifWahl  = TarifBereich(meinFenster,meinKassierer,meinDisplay)
	meineTarifWahl.anzeigen("TARIFE")

	meineFSAusgabe  = FSAusgabeBereich(meinFenster,meinKassierer)
	meineFSAusgabe.anzeigen_Ausgabe("Fahrschein-Ausgabe")

	meineGeldWahl   = GeldBereich(meinFenster,meinKassierer,meinDisplay,
		meineFSAusgabe,meineGeldRueckgabe)
	meineGeldWahl.anzeigen("GELDEINWURF")

	meineBedienAnleitung   	= AnleitungBereich(meinFenster)
	meineBedienAnleitung.anzeigen("BEDIENUNG")	

	
if __name__ == '__main__':
    meinAutomat = Automat()
    Tkinter.mainloop()

