#!/usr/bin/python
#	Test fuer verschiedene Knoepfe	BICS, Bombei, 30.9.01
#	Datei: knopf_gui00.py

import Tkinter
from Tkconstants import *

# ... hier eine Klasse aus dem Fachkonzept (model):

class Geld:
    def __init__(self):
	self.alleGeldstuecke  = ["10 Pf", "50 Pf", "1 DM", "2 DM", "5 DM" ]
     	self.alleGeldwerte    = [ 0.1,      0.5,     1,     2,      5 ]
    def gib_alleGeldstuecke(self):
    	return self.alleGeldstuecke
    def gib_alleGeldwerte(self):
    	return self.alleGeldwerte
    def _wieviele_Geldstuecke(self):
    	return range(0,len(self.alleGeldstuecke))
    def gib_Wert_von(self,name):
	wert = 0.0
	for index  in self._wieviele_Geldstuecke():
		if self.alleGeldstuecke[index] == name:
			wert = self.alleGeldwerte[index]
	return wert

# ... jetzt die Klassen fr das GUI (view/control):

class Rahmen(Tkinter.Frame):
   def __init__(self,mutter,wo):
    	Tkinter.Frame.__init__(self,mutter)
        self.pack(side = wo, fill = X, expand = 1)

class Etikett(Tkinter.Label):
   def __init__(self,mutter,derText):
    	Tkinter.Label.__init__(self,mutter)
    	self.config(text = derText)
        self.pack(side = TOP, fill = X, expand = 1)	
   def setze_Anzeigetext (self,derText):
    	self.config(text = derText)
   def setze_Anzeigetext_farbig (self,derText,fgcol,bgcol):
        self.config(text = derText,fg = fgcol, bg = bgcol)
   def setze_Anzeigetext_tief (self):
    	self.config(relief = "sunken")

class AktionKnopf(Tkinter.Button):
   def __init__(self,mutter,derText,was):
    	Tkinter.Button.__init__(self,mutter)
    	self.config(text = derText, command = was)
        self.pack(side=LEFT,padx=6,ipady=12)
        # weitere Parameter probieren:(pady=6,fill="y",expand=1)	

class DisplayBereich:
    def __init__(self,mutter):
        obererRahmen      = Rahmen(mutter,"top")
        self.mutterRahmen = obererRahmen
        ausKnopf          = AktionKnopf(self.mutterRahmen,"Beenden","exit")
        titelLabel        = Etikett(self.mutterRahmen,"Anzeige")
	self.displayLabel = Etikett(self.mutterRahmen,"")
        self.displayLabel.setze_Anzeigetext_tief()
    def aendern(self,ltext,lfgcolor,lbgcolor):
        self.displayLabel.setze_Anzeigetext_farbig(ltext,lfgcolor,lbgcolor)
    def aktualisieren (self,derText):
        self.aendern (derText,"black","grey")

class ButtonBereich:
    def __init__(self,mutter,kassierobjekt,displayobjekt):
        rechterobererRahmen = Rahmen(mutter,"top")
        rechterobererRahmen.config(relief = "ridge")
        self.geldLabel      = Etikett(rechterobererRahmen,"hier Knpfe")
	self.fsaKasse	    = kassierobjekt
	self.guiDisplay	    = displayobjekt
	self.geworfenesGeld = Tkinter.StringVar()
	alleGeldstuecke     = self.fsaKasse.gib_alleGeldstuecke()
	for diesesGeld in alleGeldstuecke:
                self.geworfenesGeld.set(diesesGeld)
		geldWahl = Tkinter.Button(rechterobererRahmen,
			text    = diesesGeld,
			command = self.eingeworfen,
			anchor  = "w")
                geldWahl.pack(side = TOP)

    def anzeigen(self,titel):
        self.geldLabel.setze_Anzeigetext(titel)
    def eingeworfen(self):
	geworfeneMuenze  = self.geworfenesGeld.get()
	self.guiDisplay.aktualisieren ( geworfeneMuenze )

class RadioButtonBereich:
    def __init__(self,mutter,kassierobjekt,displayobjekt):
        rechterobererRahmen = Rahmen(mutter,"top")
        rechterobererRahmen.config(relief = "ridge")
        self.geldLabel = Etikett(rechterobererRahmen,"hier manipulierte\nRadioknpfe")
	self.fsaKasse	     = kassierobjekt
	self.guiDisplay	     = displayobjekt
	self.geworfenesGeld  = Tkinter.StringVar()
	self.alleGeldstuecke = self.fsaKasse.gib_alleGeldstuecke()
	for diesesGeld in self.alleGeldstuecke:
		geldWahl = Tkinter.Radiobutton(rechterobererRahmen,
			command     = self.eingeworfen,
			text        = diesesGeld,
                        indicatoron = 0,
			variable    = self.geworfenesGeld,
			value       = diesesGeld)
		geldWahl.pack(side = TOP,ipadx=4,ipady=4)
#		geldWahl.configure(selectcolor = geldWahl["bg"]) #... statt deselektieren!

    def anzeigen(self,titel):
        self.geldLabel.setze_Anzeigetext(titel)
    def eingeworfen(self):
	geworfeneMuenze  = self.geworfenesGeld.get()
	self.guiDisplay.aktualisieren ( geworfeneMuenze )
	self.geworfenesGeld.set(NONE) #... deselektiert alle Knpfe!

class RadioButton2Bereich:
    def __init__(self,mutter,kassierobjekt,displayobjekt):
        rechterobererRahmen = Rahmen(mutter,"top")
        rechterobererRahmen.config(relief = "ridge")
        self.geldLabel = Etikett(rechterobererRahmen,"hier normale \nRadioknpfe")
	self.fsaKasse	     = kassierobjekt
	self.guiDisplay	     = displayobjekt
	self.geworfenesGeld  = Tkinter.StringVar()
	self.alleGeldstuecke = self.fsaKasse.gib_alleGeldstuecke()
	for diesesGeld in self.alleGeldstuecke:
		geldWahl = Tkinter.Radiobutton(rechterobererRahmen,
			command  = self.eingeworfen,
			text     = diesesGeld,
#                        indicatoron = 0,         # probieren, s.o.!
			variable = self.geworfenesGeld,
			value    = diesesGeld)
		geldWahl.pack(side = TOP,ipadx=4,ipady=4)

    def anzeigen(self,titel):
        self.geldLabel.setze_Anzeigetext(titel)
    def eingeworfen(self):
	geworfeneMuenze  = self.geworfenesGeld.get()
	self.guiDisplay.aktualisieren ( geworfeneMuenze )
#	self.geworfenesGeld.set(NONE) #... deselektiert alle Knpfe!

class CheckButtonBereich:
    def __init__(self,mutter,kassierobjekt,displayobjekt):
        rechterobererRahmen = Rahmen(mutter,"top")
        rechterobererRahmen.config(relief = "ridge")
        self.geldLabel = Etikett(rechterobererRahmen,"hier Check-Knpfe")
	self.fsaKasse	     = kassierobjekt
	self.guiDisplay	     = displayobjekt
	self.geworfenesGeld  = Tkinter.StringVar()
	self.alleGeldstuecke = self.fsaKasse.gib_alleGeldstuecke()
	for diesesGeld in self.alleGeldstuecke:
		geldWahl = Tkinter.Checkbutton(rechterobererRahmen,
			command  = self.eingeworfen,
			text     = diesesGeld,
#			value = diesesGeld,      # ... gibts hier nicht!
			variable = self.geworfenesGeld)
		geldWahl.pack(side = TOP,ipadx=4,ipady=4)

    def anzeigen(self,titel):
        self.geldLabel.setze_Anzeigetext(titel)
    def eingeworfen(self):
	geworfeneMuenze = self.geworfenesGeld.get()
	self.guiDisplay.aktualisieren ( geworfeneMuenze )

# "Hauptprogramm" erzeugt alle Objekte auf dem Bildschirm:
if __name__ == '__main__':

        meinGeld    = Geld()      # Objekt vom Fachkonzept (model)

        meinFenster = Tkinter.Tk()
    	meinFenster.title ("Knopf-Test")
    	meinFenster.geometry ("+100+100")
#    	meinFenster.geometry ("460x300+100+100")

	meinDisplay = DisplayBereich(meinFenster)
        linksRahmen = Rahmen(meinFenster,LEFT)
        danebenRahmen = Rahmen(meinFenster,LEFT)
        drittervonlinksRahmen = Rahmen(meinFenster,LEFT)
        viertervonlinksRahmen = Rahmen(meinFenster,LEFT)

        ersteEingabe  = ButtonBereich(linksRahmen,meinGeld,meinDisplay)
        zweiteEingabe = RadioButtonBereich(danebenRahmen,meinGeld,meinDisplay)
        dritteEingabe = RadioButton2Bereich(drittervonlinksRahmen,meinGeld,meinDisplay)
        vierteEingabe = CheckButtonBereich(viertervonlinksRahmen,meinGeld,meinDisplay)

        Tkinter.mainloop()

